pango-sharp Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. GLib.Opaque A can be used to iterate over the visual extents of a .
- Constructor
  Pointer to the C object.
  Internal constructor

  This is an internal constructor, and should not be used by user code.

- Method
  System.Boolean Determines whether iter is on the last line of the layout. an object of type
- Property
  System.Int32 Gets the y position of the current line's baseline, in layout coordinates (origin at top left of the entire layout). baseline of current line
- Property
  Pango.Rectangle To be added. To be added. To be added.
- Method
  Pango.LayoutIter To be added. To be added. To be added.
- Method
  System.Void To be added. To be added.
- Method
  System.Obsolete("Pango.LayoutIter is now freed automatically")
  System.Void Frees an iterator that is no longer in use.
- Method
  System.Void `` To be added. To be added. To be added.
- Method
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  System.Void `` `` a a Divides the vertical space in the being iterated over between the lines in the layout, and returns the space belonging to the current line. A line's range includes the line's logical extents, plus half of the spacing above and below the line if has been set. The y positions are in layout coordinates (origin at top left of the entire layout).
- Method
  System.Void `` `` To be added. To be added. To be added. To be added.
- Property
  GLib.GType To be added a To be added
- Property
  System.Int32 Gets the current byte index. current byte index Note that iterating forward by char moves in visual order, not logical order, so indexes may not be sequential. Also, the index may be equal to the length of the text in the layout, if on the run (see ).
- Property
  Pango.Layout To be added. To be added. To be added.
- Property
  Pango.LayoutLine Gets the current line. the current
- Property
  Pango.LayoutLine To be added. To be added. To be added.
- Method
  System.Boolean Moves iter forward to the next character in visual order. an object of type If iter was already at the end of the layout, returns .
- Method
  System.Boolean Moves iter forward to the next cluster in visual order. an object of type If iter was already at the end of the layout, returns .
- Method
  System.Boolean Moves iter forward to the start of the next line. an object of type If iter is already on the last line, returns .
- Method
  System.Boolean Moves iter forward to the next run in visual order. an object of type If iter was already at the end of the layout, returns .
- Property
  Pango.LayoutRun Gets the current run. an object of type 'Pango.LayoutRun' When iterating by run, at the end of each line, there is a position with a run, so this function can return . The run at the end of each line ensures that all lines have at least one run, even lines consisting of only a newline.
- Property
  Pango.LayoutRun To be added. To be added. To be added.